Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.rules.rl.exceptions
Class JavaException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
oracle.rules.rl.exceptions.RLException
oracle.rules.rl.exceptions.RLRuntimeException
oracle.rules.rl.exceptions.JavaException`

All Implemented Interfaces:
  java.io.Serializable

public class JavaException
extends RLRuntimeException

Runtime error -- an invoked Java method threw an exception.

See Also:
  Serialized Form

Field Summary

Fields inherited from class oracle.rules.rl.exceptions.RLException
`eol`

Constructor Summary
`JavaException(java.lang.String reason, java.lang.String msgID, java.lang.Object[] args, java.lang.Throwable cause)` Constructor.

Methods inherited from class oracle.rules.rl.exceptions.RLException
`getArgs, getColumn, getDescription, getLine, getMessage, getMsgID, getSource, setColumn, setDescription, setLine, setSource`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JavaException

    public JavaException(java.lang.String reason,
                         java.lang.String msgID,
                         java.lang.Object[] args,
                         java.lang.Throwable cause)

  Constructor.
Parameters:
  `reason` - the localized exception description from the ResourceBundle. Indicates an exception was thrown by the invoked Java method.
  `msgID` - the message ID
  `args` - the arguments to the localized message.
  `cause` - thrown from Java.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, Oracle. All rights reserved.